FREE(1)

NOME
free - Exibe quantidade de memória livre e usada no sistema

SINOPSE
free [opções]

DESCRIÇÃO
free exibe a quantidade total de memória física e de swap livre e usada no sistema, bem como os buffers e caches usados pelo kernel. A informação é coletada através da análise de /proc/meminfo. As colunas exibidas são:

total
    Total usable memory (MemTotal and SwapTotal in /proc/meminfo). This includes the physical and swap memory minus a few reserved bits and kernel binary code.

usada
    Used or unavailable memory (calculated as total - available)

livre
    Memória não usada (MemFree e SwapFree em /proc/meminfo)

compart.
    Memória usada (geralmente) por tmpfs (Shmem em /proc/meminfo)

buffers
    Memória usada por buffers do kernel (Buffers em /proc/meminfo)

cache
    Memória usada por slabs e cache de páginas (Cached e SReclaimable em /proc/meminfo)

buff/cache
    Soma de buffers e cache

disponível
    Estimativa da quantidade de memória disponível para iniciar novos aplicativos, sem fazer uso da swap. Ao contrário dos dados fornecidos pelos campos cache ou livre, este campo leva em consideração o cache da página e também que nem todos os slabs recuperáveis de memória serão recuperados devido a itens em uso (MemAvailable em /proc/meminfo, disponível em kernels 3.14, emulado em kernels 2.6.27+; caso contrário, o mesmo que livre)

OPÇÕES

-b, --bytes
    Exibe a quantidade de memória em bytes.

-k, --kibi
    Exibe a quantidade de memória em kibibytes. Esse é o padrão.

-m, --mebi
    Exibe a quantidade de memória em mebibytes.

-g, --gibi
    Exibe a quantidade de memória em gibibytes.

--tebi
    Exibe a quantidade de memória em tebibytes.

--pebi
    Exibe a quantidade de memória em pebibytes.

--kilo
    Exibe a quantidade de memória em kilobytes. Implica em --si.

--mega
    Exibe a quantidade de memória em megabytes. Implica em --si.

--giga
    Exibe a quantidade de memória em gigabytes. Implica em --si.

--tera
    Exibe a quantidade de memória em terabytes. Implica em --si.

--peta
    Exibe a quantidade de memória em megabytes. Implica em --si.

-h, --human
    Mostra todos os campos de saída automaticamente dimensionados para a unidade de três dígitos mais curta e exibe as unidades do resultado. As unidades a seguir são usadas.

      B = bytes
      Ki = kibibyte
      Mi = mebibyte
      Gi = gibibyte
      Ti = tebibyte
      Pi = pebibyte

    Se a unidade for omitida, e você tiver exbibyte de RAM ou swap, o número está em tebibytes e as colunas podem não estar alinhadas com o cabeçalho.

-w, --wide
    Muda para o modo amplo. O modo amplo produz linhas com mais de 80 caracteres. Neste modo, buffers e cache são relatados em duas colunas separadas.

-c, --count núm
    Exibe o resultado núm vezes. Requer a opção -s.

-l, --lohi
    Mostra estatísticas detalhadas de memória baixa e alta.

-L, --line
    Show output on a single line, often used with the -s option to show memory statistics repeatedly.

-s, --seconds atraso
    Mostra continuamente o resultado a cada atraso segundos. Você pode especificar qualquer número de ponto flutuante para atraso usando . ou , para ponto decimal. usleep(3) é usado para tempos de atraso com resolução em microssegundos.

--si
    Usa kilo, mega, giga etc (potência de 1000) em vez de kibi, mebi, gibi (potência de 1024).

-t, --total
    Exibe uma linha mostrando os totais das colunas.

-v, --committed
    Display a line showing the memory commit limit and amount of committed/uncommitted memory. The total column on this line will display the memory commit limit. This line is relevant if memory overcommit is disabled.

--help
    Exibe a ajuda.

-V, --version
    Exibe informação da versão.

ARQUIVOS

/proc/meminfo
    informações da memória

ERROS
O valor para a coluna compart. não está disponível para kernels anteriores a 2.6.32 e é exibido como zero.

Por favor, envie relatórios de erro para
    procps@freelists.org

VEJA TAMBÉM
ps(1), slabtop(1), top(1), vmstat(8).